API referenceMessages
GET /inbox/conversations/{id}
One conversation, including its messagingWindow
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringConversation id
{conversation}
application/json- response
conversation?curl -X GET 'https://example.com/api/v1/inbox/conversations/string'Example Response
{ "conversation": { "id": "string", "accountId": "string", "platform": "instagram", "platformConversationId": "string", "participant": { "id": "string", "username": "string", "name": "string", "pictureUrl": "string", "phone": "string", "userId": "string", "parentUserId": "string" }, "lastMessage": { "text": "string", "direction": "inbound", "at": "2019-08-24T14:15:22Z" }, "unreadCount": 0, "lastReadAt": "2019-08-24T14:15:22Z", "participantReadAt": "2019-08-24T14:15:22Z", "status": "active", "messagingWindow": { "open": true, "closesAt": "2019-08-24T14:15:22Z", "humanAgentClosesAt": "2019-08-24T14:15:22Z" }, "syncedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}POST /inbox/conversations/sync POST
Backfill conversations from Meta for an account: up to pages × limit conversations, each with its latest messages (Meta returns details for the 20 most recent messages only). Idempotent; no customer webhooks are emitted
PATCH /inbox/conversations/{id} PATCH
Archive or unarchive a conversation (Postgale only; a new inbound message makes it active again)